Bug 243088 - Incorrect pam service name for command "su -"
Incorrect pam service name for command "su -"
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coreutils (Show other bugs)
5.0
i686 Linux
low Severity low
: ---
: ---
Assigned To: Ondrej Vasik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 05:19 EDT by Phyt
Modified: 2008-08-13 09:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 09:49:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phyt 2007-06-07 05:19:51 EDT
Description of problem:
"su -" transmit bad service name to pam ( "su-l" instead of "su" ) and refused
authentication (/etc/pam.d/other is use).  
add a service name su-l in /etc/pam.d/ and "su -" prompt for a password    

Version-Release number of selected component (if applicable):
coreutils-5.97-12.1.el5

How reproducible:
login with à non-root account
exec "su -"
Pam refused auhtentication (it's refer to default service (other).
Comment 1 Tim Waugh 2007-06-07 05:45:26 EDT
coreutils does ship a file /etc/pam.d/su-l for this.  What does 'rpm -V
coreutils' say?
Comment 2 Phyt 2007-06-07 08:06:34 EDT
Hi, 

Coreutils provide /etc/pam.d/su-l 

rpm -V coreutils :
missing   c /etc/pam.d/runuser
missing   c /etc/pam.d/runuser-l
S.5....T c /etc/pam.d/su
S.5....T c /etc/pam.d/su-l

Sorry, i don't verify it ... but i don't remove this file after default install.
( i'm going to seach why this file is missing ).     
 

Comment 3 Ondrej Vasik 2008-01-24 11:07:51 EST
Hi, I'm new coreutils maintainer - is there something new? As Tim said , RHEL-5
coreutils are shipping /etc/pam.d/su-l (/etc/pam.d/runuser-l for runuser -) for
that so I'd like to know if I could close that bugzilla or if you found
something meanwhile...
Comment 4 Ondrej Vasik 2008-08-13 09:49:31 EDT
Closing INSUFFICIENT_DATA after more than 6 month without response, feel free to reopen it if you find something relevant about the problem (how it happened that the runuser pam files were misssing).

Note You need to log in before you can comment on or make changes to this bug.